XML Schema API: Interface XSNamespaceItem

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface XSNamespaceItem

public interface XSNamespaceItem

The interface represents the namespace schema information information item. Each namespace schema information information item corresponds to an XML Schema with a unique namespace name.

Method Summary
`XSObjectList` | `getAnnotations()` [annotations]: a set of annotations if it exists, otherwise an empty `XSObjectList`.
`XSAttributeDeclaration` | `getAttributeDeclaration(java.lang.String name)` Convenience method.
`XSAttributeGroupDefinition` | `getAttributeGroup(java.lang.String name)` Convenience method.
`XSNamedMap` | `getComponents(short objectType)` [schema components]: a list of top-level components, i.e.
`StringList` | `getDocumentLocations()` [document location] - a list of location URIs for the documents that contributed to the `XSModel`.
`XSElementDeclaration` | `getElementDeclaration(java.lang.String name)` Convenience method.
`XSIDCDefinition` | `getIDCDefinition(java.lang.String name)` Convenience method.
`XSModelGroupDefinition` | `getModelGroupDefinition(java.lang.String name)` Convenience method.
`XSNotationDeclaration` | `getNotationDeclaration(java.lang.String name)` Convenience method.
`java.lang.String` | `getSchemaNamespace()` [schema namespace]: A namespace name or `null` if absent.
`XSTypeDefinition` | `getTypeDefinition(java.lang.String name)` Convenience method.

Method Detail

### getSchemaNamespace

    public java.lang.String getSchemaNamespace()

  [schema namespace]: A namespace name or `null` if absent.

### getComponents

    public XSNamedMap getComponents(short objectType)

  [schema components]: a list of top-level components, i.e. element declarations, attribute declarations, etc. Identity-constraint definitions are also considered top-level.
  Parameters:
    `objectType` - The type of the declaration, i.e. `ELEMENT_DECLARATION`. Note that `XSTypeDefinition.SIMPLE_TYPE` and `XSTypeDefinition.COMPLEX_TYPE` can also be used as the `objectType` to retrieve only complex types or simple types, instead of all types.
  Returns:
    A list of top-level definition of the specified type in `objectType` or an empty `XSNamedMap` if no such definitions exist.

### getAnnotations

    public XSObjectList getAnnotations()

  [annotations]: a set of annotations if it exists, otherwise an empty `XSObjectList`.

### getElementDeclaration

    public XSElementDeclaration getElementDeclaration(java.lang.String name)

  Convenience method. Returns a top-level element declaration.
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level element declaration or `null` if such a declaration does not exist.

### getAttributeDeclaration

    public XSAttributeDeclaration getAttributeDeclaration(java.lang.String name)

  Convenience method. Returns a top-level attribute declaration.
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level attribute declaration or `null` if such a declaration does not exist.

### getTypeDefinition

    public XSTypeDefinition getTypeDefinition(java.lang.String name)

  Convenience method. Returns a top-level simple or complex type definition.
  Parameters:
    `name` - The name of the definition.
  Returns:
    An `XSTypeDefinition` or `null` if such a definition does not exist.

### getAttributeGroup

    public XSAttributeGroupDefinition getAttributeGroup(java.lang.String name)

  Convenience method. Returns a top-level attribute group definition.
  Parameters:
    `name` - The name of the definition.
  Returns:
    A top-level attribute group definition or `null` if such a definition does not exist.

### getModelGroupDefinition

    public XSModelGroupDefinition getModelGroupDefinition(java.lang.String name)

  Convenience method. Returns a top-level model group definition.
  Parameters:
    `name` - The name of the definition.
  Returns:
    A top-level model group definition definition or `null` if such a definition does not exist.

### getNotationDeclaration

    public XSNotationDeclaration getNotationDeclaration(java.lang.String name)

  Convenience method. Returns a top-level notation declaration.
  Parameters:
    `name` - The name of the declaration.
  Returns:
    A top-level notation declaration or `null` if such a declaration does not exist.

### getIDCDefinition

    public XSIDCDefinition getIDCDefinition(java.lang.String name)

  Convenience method. Returns an identity-constraint definition.
  Parameters:
    `name` - The name of the definition.
  Returns:
    An identity-constraint definition or `null` if such a declaration does not exist.

### getDocumentLocations

    public StringList getDocumentLocations()

  [document location] - a list of location URIs for the documents that contributed to the `XSModel`.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.